Acknowledge an engineering handoff with the tracker's reference
import requests
url = "https://platform.ankra.app/api/v1/org/ai-engineering-handoffs/{handoff_id}/acknowledge"
payload = { "tracker_reference": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({tracker_reference: '<string>'})
};
fetch('https://platform.ankra.app/api/v1/org/ai-engineering-handoffs/{handoff_id}/acknowledge', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://platform.ankra.app/api/v1/org/ai-engineering-handoffs/{handoff_id}/acknowledge \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tracker_reference": "<string>"
}
'{
"id": "<string>",
"subject_source_id": "<string>",
"alert_name": "<string>",
"severity": "<string>",
"summary": "<string>",
"description": "<string>",
"runbook_url": "<string>",
"labels": {},
"latest_trigger_resource_id": "<string>",
"latest_alert_id": "<string>",
"occurrence_count": 123,
"occurrences_since_filed": 123,
"first_seen_at": "<string>",
"last_seen_at": "<string>",
"status": "open",
"tracker_reference": "<string>",
"filed_at": "<string>",
"acknowledged_at": "<string>",
"resolved_at": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}ai-engineering-handoffs
Acknowledge an engineering handoff with the tracker's reference
POST
/
api
/
v1
/
org
/
ai-engineering-handoffs
/
{handoff_id}
/
acknowledge
Acknowledge an engineering handoff with the tracker's reference
import requests
url = "https://platform.ankra.app/api/v1/org/ai-engineering-handoffs/{handoff_id}/acknowledge"
payload = { "tracker_reference": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({tracker_reference: '<string>'})
};
fetch('https://platform.ankra.app/api/v1/org/ai-engineering-handoffs/{handoff_id}/acknowledge', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://platform.ankra.app/api/v1/org/ai-engineering-handoffs/{handoff_id}/acknowledge \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tracker_reference": "<string>"
}
'{
"id": "<string>",
"subject_source_id": "<string>",
"alert_name": "<string>",
"severity": "<string>",
"summary": "<string>",
"description": "<string>",
"runbook_url": "<string>",
"labels": {},
"latest_trigger_resource_id": "<string>",
"latest_alert_id": "<string>",
"occurrence_count": 123,
"occurrences_since_filed": 123,
"first_seen_at": "<string>",
"last_seen_at": "<string>",
"status": "open",
"tracker_reference": "<string>",
"filed_at": "<string>",
"acknowledged_at": "<string>",
"resolved_at": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
The engineering tracker's id for the filed work, for example a bead id.
Response
Successful Response
Show child attributes
Show child attributes
Available options:
open, filed, resolved